# fn() getBamTypeSize
Return size of the type identified by a type char.

Defined in | <seqan/bam_io.h>
Signature | `int getBamTypeSize(c);`

## Parameters

`c` | A `char` that identifies a type.

## Return Values

`int` | The size of the type in bytes, -1 for variable-length types, -2 for invalid paramters.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- BamTagsDict
- getBamTypeChar

#### Dox Sources

    /*!
     * @fn getBamTypeSize
     *
     * @headerfile <seqan/bam_io.h>
     *
     * @brief Return size of the type identified by a type char.
     *
     * @signature int getBamTypeSize(c);
     *
     * @param[in] c A <tt>char</tt> that identifies a type.
     *
     * @return int The size of the type in bytes, -1 for variable-length types, -2
     *             for invalid paramters.
     *
     * @see BamTagsDict
     * @see getBamTypeChar
     */